;John Uhden
(defun c:Google (/ TermList str)
  (while (/= (setq str (getstring T "Enter search phrases or [Enter] to search: ")) "")
    (setq TermList (cons str TermList))
  )
  (if TermList (Google TermList))
  (princ)
)

;John Uhden
(defun Google  (TermList / UrlStr Url)
  (or *acad* (setq *acad* (vlax-get-acad-object)))
  (or *doc*  (setq *doc*  (vla-get-activedocument *acad*)))
  (or *utility* (setq *utility* (vla-get-utility *doc*)))
  (setq UrlStr
    (strcat "http://groups.google.com/groups?q="
            "group%3Aautodesk.autocad.customization"
    )
  )
  (foreach term termlist
    (setq UrlStr
      (strcat UrlStr "+%22" (plusify term) "%22")
    )
  )
  (setq UrlStr (strcat UrlStr "&ie=UTF-8&oe=UTF-8&hl=en"))
  (vla-launchbrowserdialog
    *utility* 'Url "Google Groups" "Open"
    UrlStr "" :vlax-true
  )
  Url
)

;John Uhden
(defun plusify (str / n)
  (while (setq n (vl-string-search " " str))
    (setq str (vl-string-subst "+" " " str n))
  )
  str
)
